# Created by pyp2rpm-3.3.5
%global pypi_name pygerrit2

Name:           python-%{pypi_name}
Version:        2.0.0
Release:        1%{?dist}
Summary:        Client library for interacting with Gerrit's REST API

License:        The MIT License
URL:            https://github.com/dpursehouse/pygerrit2
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(pbr)
BuildRequires:  python3dist(setuptools)

%description
Pygerrit2 - Client library for interacting with Gerrit Code Review's REST API
Pygerrit2 provides a simple interface for clients to interact with Gerrit Code
Review_ via the REST API.Prerequisites -Pygerrit2 has been tested on Ubuntu
10.4 and Mac OSX 10.8.4, with Python 2.6.x and 2.7.x. Support for other
platforms and Python versions is not guaranteed.Pygerrit2 depends on the
requests_ library.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(pbr) >= 0.8
Requires:       python3dist(requests) = 2.9.1
%description -n python3-%{pypi_name}
Pygerrit2 - Client library for interacting with Gerrit Code Review's REST API
Pygerrit2 provides a simple interface for clients to interact with Gerrit Code
Review_ via the REST API.Prerequisites -Pygerrit2 has been tested on Ubuntu
10.4 and Mac OSX 10.8.4, with Python 2.6.x and 2.7.x. Support for other
platforms and Python versions is not guaranteed.Pygerrit2 depends on the
requests_ library.


%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.rst
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info

%changelog
* Sat Jan 02 2021 mockbuilder - 2.0.0-1
- Initial package.